PATCH https://api.zatomic.ai/v1/context/packs/{contextPackId}
// Example
PATCH https://api.zatomic.ai/v1/context/packs/cpk_2qRzu8geIvfudcJTwP0pur4TbMJ
API Reference
- Overview
- Versioning
- Authentication
- Workspaces
- Status Codes and Errors
- Credit Usage
- Expanding Objects
- OpenAPI Spec
- Context Items
- The Context Item Object
- Create File Context Item
- Create Text Context Item
- Update Context Item
- Delete Context Item
- Retrieve Context Item
- Retrieve All Context Items
- Context Item Versions
- The Context Item Version Object
- Create File Context Item Version
- Create Text Context Item Version
- Update File Context Item Version
- Update Text Context Item Version
- Delete Context Item Version
- Retrieve Context Item Version
- Retrieve All Context Item Versions
- Context Packs
- The Context Pack Object
- Create Context Pack
- Update Context Pack
- Delete Context Pack
- Retrieve Context Pack
- Retrieve All Context Packs
- Context Pack Versions
- The Context Pack Version Object
- Create Context Pack Version
- Update Context Pack Version
- Delete Context Pack Version
- Retrieve Context Pack Version
- Retrieve All Context Pack Versions
- Projects
- The Project Object
- Create Project
- Update Project
- Delete Project
- Retrieve Project
- Retrieve All Projects
- Prompts
- The Prompt Object
- Create Prompt
- Update Prompt
- Delete Prompt
- Retrieve Prompt
- Retrieve All Prompts
- Generate Prompt
- Prompt Versions
- The Prompt Version Object
- Create Prompt Version
- Update Prompt Version
- Delete Prompt Version
- Retrieve Prompt Version
- Retrieve All Prompt Versions
- Calculate Prompt Version Score
- Retrieve Prompt Version Score
- Generate Prompt Version Heatmap
- Retrieve Prompt Version Heatmap
- Analyze Prompt Version Balance
- Retrieve Prompt Version Balance
- Analyze Prompt Version Risk
- Retrieve Prompt Version Risk
- Improve Prompt Version
- Scoring Criteria
- The Scoring Criteria Object
- The Scoring Criterion Object
- Create Scoring Criteria
- Update Scoring Criteria
- Delete Scoring Criteria
- Retrieve Scoring Criteria
- Retrieve All Scoring Criteria
- Generate Scoring Criteria
- Create Scoring Criterion
- Update Scoring Criterion
- Delete Scoring Criterion
- Retrieve Scoring Criterion
- Scoring Criteria Results
- The Scoring Criteria Results Object
- Scoring
- The Scoring Object
- Calculate Prompt Score
- Heatmaps
- The Heatmap Object
- Generate Prompt Heatmap
- Balance
- The Balance Object
- Analyze Prompt Balance
- Risk
- The Risk Object
- Analyze Prompt Risk
Update Context Pack
This endpoint allows you to update either the name of the context pack, its description, or both. If you need to update the context items and/or prompts for a context pack, that can be done by updating a context pack version.
You can also use this endpoint to add a context pack to a project or remove a context pack from a project.
Endpoint
Endpoint Request
| Request Properties | |
|---|---|
|
name
string, optional
|
Name of the context pack. |
|
description
string, optional
|
Description of the context pack. |
|
project_id
string, optional
|
The ID of the project that contains the context pack. Set to empty string ("") to remove the context pack from its current project. |
Request Body
{
"name": "Context pack name",
"description": "Context pack description.",
"project_id": "prj_32hbc9w4iVeyUZ1iRvjZYUrvS73"
}
Endpoint Response
A successful call returns a response that contains the updated context pack object.
| HTTP Status Codes | ||
|---|---|---|
| 200 | OK | The context pack was updated. |
| 400 | Bad Request | The context pack name was not provided in the request. |
| 404 | Not Found | The context pack didn't exist. |
| 500 | Internal Server Error | Something went wrong on Zatomic's end. |